package com.sample.myApp;

import javax.inject.Inject;

import com.vaadin.cdi.CDIUI;
import com.vaadin.cdi.CDIViewProvider;
import com.vaadin.navigator.Navigator;
import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

@SuppressWarnings("serial")
@CDIUI("")
public class MainUI extends UI{

    @Inject
    private CDIViewProvider viewProvider;
    
    @Override
    public void init(final VaadinRequest request) {
        setSizeFull();
        
        VerticalLayout navigatorLayout = new VerticalLayout();
        navigatorLayout.setHeight(150, Unit.PIXELS);
        Navigator navigator = new Navigator(this, navigatorLayout);
        navigator.addProvider(viewProvider);
        
        VerticalLayout mainLayout = new VerticalLayout();
        mainLayout.addComponent(navigatorLayout);
       
        setContent(mainLayout);
    }

}
